import oahttp from "@/utils/oahttp.js";

/**
 * 获取代办事项 已处理事项
 */
export const getIndexListAPI = (data) => oahttp.get('/index/list', data)

/**
 * 获取任务列表
 */
export const getTaskListAPI = (data) => oahttp.get('/task/list', data)

/**
 * 获取我的任务
 */
export const getMyTaskListAPI = (data) => oahttp.get('/task/datalist', data)

/**
 * 获取任务详情
 */
export const getTaskDetailsAPI = (data) => oahttp.get('/task/read', data)
/**
 * 我发起的审批
 */
export const getApproveMyListAPI = (data) => oahttp.get('/approve/my_list', data)
/**
 * 我审批的
 */
export const getHandleListAPI = (data) => oahttp.get('/approve/handle_list', data)
/**
 * 抄送给我的
 */
export const getCopyOfMyListAPI = (data) => oahttp.get('/approve/copy', data)
/*
 * 待办事项
 */
export const getApproveListAPI = (data) => oahttp.get('/approve/list', data)
/**
 * 获取个人中心数据
 */
export const getUserIndexAPI = (data) => oahttp.get('/user/index', data)
/**
 * 保存个人信息修改
 */
export const PostUserPerSubmitAPI = (data) => oahttp.post('/home_index/edit_personal', data)
/**
 * 获取审核流程
 * index/get_flow?type=1
 */
export const getFlowAPI = (data) => oahttp.get('/index/get_flow', data)
/**
 * 获取审核步骤人员
 */
export const getFlowUsersAPI = (data) => oahttp.get('/index/get_flow_users', data, { noVerify: true })
/** 获取部门树形节点列表  */
export const getDepartmentTreeAPI = () => oahttp.get('/index/get_department_tree')
/** 获取某个部门的员工 */
export const getEmployeeAPI = (data) => oahttp.get('/index/get_employee', data)
/** 发起审批 */
export const PostApproveAddAPI = (data) => oahttp.post('/approve/add', data)
