import oahttp from "@/utils/oahttp.js";

/**
 * 登录
 */
export const loginAccount = (data, onReLogin = false) => oahttp.post('/login/login', data, { noAuth: true, onReLogin: onReLogin })

/**
 * cesi
 */
export const test = (data) => oahttp.post('/index/config', data, { noAuth: true })

/**
 * 个人中心
 */
export const userCenter = (data) => oahttp.get('/user/center', data)

/**
 * 个人信息
 */
export const userInfo = (data) => oahttp.get('/home_index/userinfo', data)

/**
 * 修改密码
 */
export const changePassword = (data) => oahttp.post('/home_index/edit_password', data)

