import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import store from './store'
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
import moment from 'moment'
Vue.prototype.$moment = moment
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App,
	store
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif